Bug 21756 - nmbd crashes with PANIC, Internal error, signal 11
nmbd crashes with PANIC, Internal error, signal 11
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-05 13:47 EST by nar
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 04:17:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nar 2000-12-05 13:47:49 EST
When I started my win95, it wasn't able to mount the shares from my linux box because the nmbd crashed.
I found this in /var/log/samba/log.nmb:
[2000/12/03 04:02:06, 0] nmbd/nmbd_workgroupdb.c:dump_workgroups(292)
  dump_workgroups()
   dump workgroup on subnet   192.168.0.254: netmask=  255.255.255.0:
        WORKGROUP(1) current master browser = SIEMENS
                SIEMENS 40440a03 (SIEMENS)
[2000/12/03 20:20:12, 0] lib/fault.c:fault_report(40)
  ===============================================================
[2000/12/03 20:20:13, 0] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 23397 (2.0.7)
  Please read the file BUGS.txt in the distribution
[2000/12/03 20:20:13, 0] lib/fault.c:fault_report(43)
  ===============================================================
[2000/12/03 20:20:13, 0] lib/util.c:smb_panic(2381)
  PANIC: internal error
There weren't any clients using this samba server at that time. I use 2.4.0-test10 kernel on this 486 machine.
Comment 1 giulioo 2001-02-02 16:32:59 EST
I had the same problem sometime ago (it was the first and only time nmbd did 
that). I think this is more a samba team issue then redhat's. I don't think the 
famous signal 11 faq is relevant here; neither are the messages about multiple 
response as I routinely see them without any consequences.

This is 2.0.7 compiled from source on rh61:

        I4 400c9b2b (Linux server i4  (Samba 2.0.7))
[2001/01/14 04:00:26, 0] nmbd/nmbd_workgroupdb.c:dump_workgroups(292)
  dump_workgroups()
   dump workgroup on subnet  UNICAST_SUBNET: netmask=    192.168.1.7:
    WORKGROUP(1) current master browser = UNKNOWN
        I3 40009a03 (Linux server i3  (Samba 2.0.7))
[2001/01/16 03:06:39, 0] nmbd/nmbd_namequery.c:query_name_response(93)
  query_name_response: Multiple (2) responses received for a query on subnet 192
.168.1.10 for name WORKGROUP<1d>. This response was from IP 192.168.1.7
[2001/01/16 03:06:39, 0] nmbd/nmbd_responserecordsdb.c:find_response_record(239)
  find_response_record: response packet id 19815 received with no matching recor
d.
[2001/01/16 04:45:34, 0] lib/fault.c:fault_report(40)
  ===============================================================
[2001/01/16 04:45:34, 0] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 617 (2.0.7)
  Please read the file BUGS.txt in the distribution
[2001/01/16 04:45:34, 0] lib/fault.c:fault_report(43)
Comment 2 Trond Eivind Glomsrxd 2001-06-20 17:15:12 EDT
Still a problem with the latest errata applied?
Comment 3 Trond Eivind Glomsrxd 2001-08-08 23:48:56 EDT
Still wondering whether or not this is still a problem, with the current 2.0.x
errata or with the 2.2 rpms found in Rawhide...
Comment 4 giulioo 2001-08-09 04:17:43 EDT
I think this is very difficult to say.
It happened to me 2 times in 2 or 3 years...
So maybe you can close this and it will be reopened if necessary.


Comment 5 Trond Eivind Glomsrxd 2001-08-09 14:34:22 EDT
Believed to be fixed in the 2.2 series.

Note You need to log in before you can comment on or make changes to this bug.